#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#include <stdbool.h>

/* global option variables */
char* opt_filename;
char* opt_output;
long  opt_line;
long  opt_column;
char* opt_listmembers;
char* opt_liststatic;
char* opt_lang;
long  opt_cache;

typedef struct
{
	int count;
	char** entries;
} vector;

/* this is the main struct
 * holding all our config options
 */
struct
{
	vector cpp_includes;
	vector cpp_macros;
} config;


/* parses command line options with getopt_long()
 * and stores the values in opt_* variables */
bool get_cmdine_opts(int argc, char** argv);

/* reads config files into struct config
 * need to free the's malloced arrays with free_config() afterwards
 */
void read_config();

/* free()'s all memory which was malloc'ed by read_config() */
void free_config();

void usage();

#endif /* __OPTIONS_H__ */
